package it.eng.console.util;

public class CronExpressionUtil {
	
	public static String format(String frequency){
		if (frequency.equals("5mm"))
			return "0 0/5 * * * ?";
		else if (frequency.equals("15mm"))
			return "0 0/15 * * * ?";
		else if (frequency.equals("30mm"))
			return "0 0/30 * * * ?";
		else if (frequency.equals("1hh"))
			return "0 0 0-23 * * ?";
		else if (frequency.equals("12hh"))
			return "0 0 0,12 * * ?";
		else if (frequency.equals("1dd"))
			return "0 0 0 * * ?";
		else if (frequency.equals("7dd"))
			return "0 0 0 ? * SUN";
		else if (frequency.equals("15dd"))
			return "0 0 0 1,16 * ?";
		else if (frequency.equals("1MM"))	
			return "0 0 0 1 * ?";
		else if (frequency.equals("3MM"))
			return "0 0 0 1 1/3 ?";
		else if (frequency.equals("6MM"))
			return "0 0 0 1 1,7 ?";
		else if (frequency.equals("12MM"))
			return "0 0 0 1 1 ?";
		else
			return "";
	}
	
	public static String parse(String cronExpression){
		if (cronExpression.equals("0 0/5 * * * ?"))
			return "5mm";
		else if (cronExpression.equals("0 0/15 * * * ?"))
			return "15mm";
		else if (cronExpression.equals("0 0/30 * * * ?"))
			return "30mm";
		else if (cronExpression.equals("0 0 0-23 * * ?"))
			return "1hh";
		else if (cronExpression.equals("0 0 0,12 * * ?"))
			return "12hh";
		else if (cronExpression.equals("0 0 0 * * ?"))
			return "1dd";
		else if (cronExpression.equals("0 0 0 ? * SUN"))
			return "7dd";
		else if (cronExpression.equals("0 0 0 1,16 * ?"))
			return "15dd";
		else if (cronExpression.equals("0 0 0 1 * ?"))	
			return "1MM";
		else if (cronExpression.equals("0 0 0 1 1/3 ?"))
			return "3MM";
		else if (cronExpression.equals("0 0 0 1 1,7 ?"))
			return "6MM";
		else if (cronExpression.equals("0 0 0 1 1 ?"))
			return "12MM";
		else
			return "";
	}

}
