<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page contentType="text/html;charset=UTF-8" 
	pageEncoding="ISO-8859-1"
	language="java"
	extends="it.eng.spago.dispatching.httpchannel.AbstractHttpJspPage"
	import="it.eng.spago.base.SourceBean, java.util.List, 
			java.util.Iterator, org.spagic.metadb.model.Process, 
			it.eng.console.util.Constants, it.eng.spago.message.MessageBundle"
	session="true"
	errorPage="/jsp/spago/jspError.jsp"%>
<%@ taglib uri="spagotags" prefix="spago"%>
<%@ taglib uri="spago-sourcebean" prefix="sourcebean" %>
<%@ taglib uri="spago-logic" prefix="logic" %>
<%@ taglib uri="consoletags" prefix="console"%>
<html xmlns="http://www.w3.org/1999/xhtml">
<%@include file="docBase.jsp"%>
<head>
<title>Spagic Console</title>

<link rel="stylesheet" href='<%=docBase%>/css/console/console.css' type="text/css"/>
<link rel="stylesheet" href='<%=docBase%>/css/console/dhtmlgoodies_calendar.css' type="text/css"/>
<console:languageCodeCalendar/>
<script type="text/javascript" src='<%=docBase%>/js/console/ajax.js'></script>
<script type="text/javascript" src='<%=docBase%>/js/console/dhtmlgoodies_calendar.js'></script>
</head>



<!-- Dependencies --> 
<script type="text/javascript" src="<%=docBase%>/yui/build/yahoo-dom-event/yahoo-dom-event.js"></script> 
<script type="text/javascript" src="<%=docBase%>/yui/build/element/element-beta-min.js"></script> 
<script type="text/javascript" src="<%=docBase%>/yui/build/datasource/datasource-beta-min.js"></script> 
<script type="text/javascript" src="<%=docBase%>/yui/build/json/json-min.js"></script> 
<!-- OPTIONAL: Connection (enables XHR) --> 
<script type="text/javascript" src="<%=docBase%>/yui/build/connection/connection-min.js"></script> 
<!-- Source files --> 
<script type="text/javascript" src="<%=docBase%>/yui/build/charts/charts-experimental-min.js"></script> 

<script type="text/javascript">
	function reloadCharts(){
		var timeInterval = document.getElementById("timeInterval").value; 
		var url = "<%=docBase%>" + "/servlet/AdapterHTTP?ACTION_NAME=BAMGraphsAction&timeInterval="+timeInterval;
		//alert(url);
		window.location = url; 
	}
</script>


<%
SourceBean serviceResponse = getResponseContainer(request).getServiceResponse();
String timeIntervalStr = (String)serviceResponse.getAttribute("timeInterval");
if (timeIntervalStr == null){
	timeIntervalStr = "NO_TIME_INTERVAL";
}
%>

<SCRIPT LANGUAGE="JavaScript">


//Look for a version of Internet Explorer that supports ActiveX (i.e., one that's
//running on a platform other than Mac or Windows 3.1) or a browser that supports
//the plugin property of the navigator object and that has Flash Player 2.0
//installed.
if ((navigator.appName == "Microsoft Internet Explorer" &&
    navigator.appVersion.indexOf("Mac") == -1 &&   navigator.appVersion.indexOf("3.1") == -1) ||

    (navigator.plugins && navigator.plugins["Shockwave Flash"])
                       || navigator.plugins["Shockwave Flash 2.0"]){

   	//alert("Flash is Ok ");
}	
else {
   	var urlRequireFlash = "<%=docBase%>" + "/servlet/AdapterHTTP?ACTION_NAME=PUBLISH_NOFLASH_ACTION";
    window.location=url;
}

// Close the comment tag. -->
</SCRIPT>

<style type="text/css">
	#chartParams
	{
		width: 90%;
		height: 50px;
	}
	#processInstancesChart
	{
		width: 90%;
		height: 200px;
		align: center;
	}
	#activeAndFaultedChart
	{
		width: 90%;
		height: 200px;
		align: center;
	}
	#timeChart
	{
		width: 90%;
		height: 200px;
		align: center;
	}
	.chart_title
	{
		display: block;
		font-size: 1.2em;
		font-weight: bold;
		margin-bottom: 0.4em;
	}
</style>

<body>
<spago:error/>

<div id="background"> 
    <div id="backgroundlogo">  
    	<div id="header">
	    	<div id="logotitle">
	    	</div> 
	    	<div id="menubar"> 
	        <console:baseMenu/>
	        <div id="title">
	        	<console:label id="showGraphs"/>
	        </div>
	        <console:logoutMenu/>
			</div>
		</div>
		

		<div id="chartParams">
		
			<table>
				<tr>
					&nbsp;
				</tr>
				<tr>
					<td>
						<label for="timeInterval">
							<console:label id="timeInterval"/>
						</label>
					</td>
			 		<td>
			 			<select name="timeInterval" id="timeInterval" onchange="reloadCharts()"/>
			 				<option value="NO_TIME_INTERVAL" <%= ( timeIntervalStr.equals("NO_TIME_INTERVAL") ? "selected=selected" : "") %>><console:label id="nointerval"/></option>	
			 				<option value="1mm" <%=( timeIntervalStr.equals("1mm") ? "selected=selected" : "") %>><console:label id="lastminute"/></option>	
			 				<option value="15mm" <%=( timeIntervalStr.equals("15mm") ? "selected=selected" : "") %>><console:label id="last15minutes"/></option>
			 				<option value="30mm" <%=( timeIntervalStr.equals("30mm") ? "selected=selected" : "") %>><console:label id="last30minutes"/></option>
			 				<option value="1hh"	<%=( timeIntervalStr.equals("1hh") ? "selected=selected" : "") %>><console:label id="lasthour"/></option>
			 				<option value="6hh"	<%=( timeIntervalStr.equals("6hh") ? "selected=selected" : "") %>><console:label id="last6hour"/></option>
			 				<option value="12hh"	<%=( timeIntervalStr.equals("12hh") ? "selected=selected" : "") %>><console:label id="last12hour"/></option>
			 				<option value="1dd"	<%=( timeIntervalStr.equals("1dd") ? "selected=selected" : "") %>><console:label id="lastday"/></option>
			 				<option value="15dd"	<%=( timeIntervalStr.equals("15dd") ? "selected=selected" : "") %>><console:label id="last15day"/> </option>
			 				<option value="1MM"	<%=( timeIntervalStr.equals("1MM") ? "selected=selected" : "") %>><console:label id="lastMonth"/></option>
			 			</select>
			 		</td>
				</tr>
			</table>
		
		</div>
		
		<span class="chart_title">Process Instances ( Success And Faulted )</span>
		<div id="processInstancesChart">
		</div>
		
		<span class="chart_title">Active Process Instances</span>
		<div id="activeAndFaultedChart">
		</div>
		
		<span class="chart_title">Mean Process Execution Time</span>
		<div id="timeChart">
		</div>
		</div>
	</div>
	
<script>
YAHOO.widget.Chart.SWFURL = "<%=docBase%>/yui/build/charts/assets/charts.swf";

spagicProcessInstances = 
[ 
	<logic:iterate id="process" name="PROCESSES.PROCESS" scope="SERVICE_RESPONSE">
   		{ name: "<sourcebean:getValue id="process" property="name"/>",
   		  version: "<sourcebean:getValue id="process" property="version"/>",
   		  counter: "<sourcebean:getValue id="process" property="counter"/>",
   		  counterFaulted: "<sourcebean:getValue id="process" property="counterFaulted"/>",
   		  counterActive: "<sourcebean:getValue id="process" property="counterActive"/>",
   		  meanTime: "<sourcebean:getValue id="process" property="meanTime"/>" },
	</logic:iterate>
]; 



var myDataSource = new YAHOO.util.DataSource( spagicProcessInstances ); 
myDataSource.responseType = YAHOO.util.DataSource.TYPE_JSARRAY; 
myDataSource.responseSchema = 
{ 
    fields: [ "name","version","counter","counterFaulted","counterActive","meanTime" ] 
}; 

YAHOO.example.getDataTipText = function( item, index, series )
{
	var toolTipText = "Process " + item.name;
	toolTipText += "\nVersion " + item.version;
	toolTipText += "\nSuccess  " + item.counter;
	toolTipText += "\nFaulted  " + item.counterFaulted;
	return toolTipText;
}

YAHOO.example.getDataTipTextActive = function( item, index, series )
{
	var toolTipText = "Process " + item.name;
	toolTipText += "\nVersion " + item.version;
	toolTipText += "\nActive  " + item.counterActive;
	return toolTipText;
}

var seriesDefSuccessFaulted =
[
	{
		yField: "counter",
		displayName: "Success Instances",
		style:
			{
				color: 0x006600

			}
	},
	{
		yField: "counterFaulted",
		displayName: "Faulted instances",
		style:
			{
				color: 0xff0000
			}
	}
];

var processInstancesChart = new YAHOO.widget.ColumnChart( "processInstancesChart", myDataSource, 
{ 

    series: seriesDefSuccessFaulted,
    xField: "name", 
    dataTipFunction: YAHOO.example.getDataTipText,
	style: 
	    { 
	        border: 
		        { 
		            color: 0x995566, 
		            size: 1 
		        }
	    }
});



var activeAndFaultedChart = new YAHOO.widget.ColumnChart( "activeAndFaultedChart", myDataSource, 
{ 
	yField: "counterActive",
    xField: "name",
    dataTipFunction: YAHOO.example.getDataTipTextActive, 
	style: 
	    { 
	        border: 
		        { 
		            color: 0x995566, 
		            size: 1 
		        }
	    }
});

getTimeTipText = function( item, index, series )
{
	var toolTipText = "Process " + item.name;
	toolTipText += "\nVersion " + item.version;
	toolTipText += "\nMean execution time (secs) " + item.meanTime;
	return toolTipText;
}

var timeChart = new YAHOO.widget.ColumnChart( "timeChart", myDataSource, 
{ 
    xField: "name", 
    yField: "meanTime",
    dataTipFunction: getTimeTipText,
	style: 
	    { 
	        border: 
		        { 
		            color: 0x995566, 
		            size: 1 
		        }
	    }
});

</script>
		
</body>
</html>
