<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page contentType="text/html;charset=UTF-8" 
	pageEncoding="ISO-8859-1"
	language="java"
	extends="it.eng.spago.dispatching.httpchannel.AbstractHttpJspPage"
	import="it.eng.spago.base.SourceBean, java.util.List, 
			it.eng.console.util.Constants, it.eng.spago.message.MessageBundle,
			org.spagic.metadb.base.ProcessInstanceStateConstants"
	session="true"
	errorPage="/jsp/spago/jspError.jsp"%>
<%@ taglib uri="consoletags" prefix="console"%>
<%@ taglib uri="spagotags" prefix="spago"%>
<html xmlns="http://www.w3.org/1999/xhtml">
<%@include file="listBase.jsp"%>
<head>
<link rel="stylesheet" href='<%=docBase%>/css/console/floating_window_with_tabs.css' type="text/css"/>
<script type="text/javascript" src='<%=docBase%>/js/console/floating_window_with_tabs.js'></script>
</head>
<%	
	SourceBean serviceResponse = getResponseContainer(request).getServiceResponse();
	String processName = (String)serviceResponse.getAttribute("processName");
	String processType = (String)serviceResponse.getAttribute("type");	
	String processId = (String)serviceResponse.getAttribute("processId");	
	String processInstanceId = (String)serviceResponse.getAttribute("processInstanceId");
	String advancedSearch = (String)serviceResponse.getAttribute("advancedSearch");
	String showRestarted = (String)serviceResponse.getAttribute("showRestarted");
	String showRestartedMsg = (String)serviceResponse.getAttribute("showRestartedMsg");
	int state = (serviceResponse.getAttribute("state") != null)
				? ((Integer)serviceResponse.getAttribute("state")).intValue() 
				: -1;
	SourceBean relevantDataBean = (SourceBean)serviceResponse.getAttribute("RELEVANT_DATA");
%>
<body onload="init();return false;">
<spago:error/>
<script>	
	var scale = 1;//scala iniziale relativa a svg
	var numberMessagesTab = 0;//variabili per gestire i tab relativi ai messaggi della transizione
	var numberAttachmentsTab = 0;//variabili per gestire i tab relativi agli attachments della transizione
	var processInstanceId = "";
	var ajaxObjects = new Array();	
	var idLog;
	<%if (processInstanceId!=null){%>
	processInstanceId = <%=processInstanceId%>;
	<%}%>
		
	function init(){
		hideServiceDetailPanel();
		checkError();
		var tabServiceDetailWindow;		
		if(processInstanceId=="")			
			tabServiceDetailWindow = Array('<%=MessageBundle.getMessage("detail", "properties.spagic")%>');			
		else { 			
			tabServiceDetailWindow = Array('<%=MessageBundle.getMessage("detail", "properties.spagic")%>','<%=MessageBundle.getMessage("relevantData", "properties.spagic")%>');				
			initTabs('dhtmlgoodies_tabView1',Array('Temp'),0,380,260,Array(false));
			numberMessagesTab++;
			initTabs('attachment',Array('TempAtt'),0,380,260,Array(false));
			numberAttachmentsTab++;
			document.getElementById('dhtmlgoodies_tabView1').style.display='none';
			document.getElementById('attachment').style.display='none';		
		}	
		// windowID,tabs,windowHeight,windowWidth,leftPos,topPos,noScrollbars,noResize,noStatusBar,noCloseButton,noMinimizeButton
		initFloatingWindowWithTabs('serviceDetailWindow',tabServiceDetailWindow,400,400,570,0,true,false,false,false);		
	}
	
	function back() {
	<%
		String url = null;
		if (processInstanceId!=null){
			if(advancedSearch.equalsIgnoreCase("TRUE"))
				url = docBase + "/ProcessInstanceListByParametersPage.page?PAGE_CMD=" + Constants.CURRENT_PAGE;
			else if(showRestarted.equalsIgnoreCase("TRUE"))
				url = docBase + "/ProcessInstanceListByParametersPage.page?PAGE_CMD=" + Constants.CURRENT_PAGE + "&restartAll=TRUE";
			else if(showRestartedMsg.equalsIgnoreCase("TRUE"))
						url = docBase + "/MessagesListPage.page?PAGE_CMD=" + Constants.CURRENT_PAGE + "&restartMsg=TRUE";
			else
				url = docBase + "/ProcessInstanceListFilteredAction.action";
		} else 
			url = docBase + "/ProcessListFilteredAction.action";
	%>
		window.location = "<%=url%>";
	}
	
	function hideServiceDetailPanel(){
		document.getElementById('serviceDetail').style.display='none';
	}
	function showServiceDetailPanel(){
		//alert("showServiceDetailPanel");
		document.getElementById('serviceDetail').style.display='block';
		
		if(processInstanceId!="") {		
			
			//rimuovo i div associati ai tab dei messaggi precedentemenete visualizzati			
			while(numberMessagesTab>0) {
				deleteTab(false, 0, 'dhtmlgoodies_tabView1');
				numberMessagesTab--;
			}
			while(numberAttachmentsTab>0) {
				deleteTab(false, 0, 'attachment');
				numberAttachmentsTab--;
			}
			document.getElementById('dhtmlgoodies_tabView1').style.display='none';	
			document.getElementById('saveLog').style.display='none';					
			document.getElementById('relevantData').style.display='none';
			document.getElementById('attachment').style.display='none';					
			
		}
		
	}
	function createAjaxObject(){
		return new sack();
	}
	function showDetailParent(stepId){	
		var ajaxIndex = ajaxObjects.length;	
		var ajaxObject = createAjaxObject();
		ajaxObjects[ajaxIndex] = ajaxObject;
		clearFields();
		
		if (processInstanceId == "")
			ajaxObjects[ajaxIndex].requestFile = "<%=docBase%>" + "/StepDetailAction.action?stepId="+stepId;
		else 
			ajaxObjects[ajaxIndex].requestFile = "<%=docBase%>" + "/JournalInstancesAction.action?stepId="+stepId+"&processInstanceId="+processInstanceId;		
		
		ajaxObjects[ajaxIndex].onCompletion = function(){onCompletion(ajaxIndex)};
		ajaxObjects[ajaxIndex].runAJAX();					
		return null;
	}
	
	function onCompletion(ajaxIndex){
				
		var responseXML = ajaxObjects[ajaxIndex].responseXML;		
		var detail = responseXML.getElementsByTagName("DETAIL")[0];	
		document.getElementById("nome").value=detail.getAttribute("nome");
		document.getElementById("descrizione").value=detail.getAttribute("descrizione");
		document.getElementById("namespace").value=detail.getAttribute("namespace");
		
		var properties = detail.getElementsByTagName("PROPERTY");
		if(properties.length != 0) {
			var property;
			var contentProperties = "<TABLE>\n";	
			contentProperties += "<TR><TD colspan=\"2\"><span>" + "<%=MessageBundle.getMessage("properties", "properties.spagic")%>" + "</span></TD></TR>\n";					
			for (indexProperty=0; indexProperty<properties.length; indexProperty++) {
				property = properties[indexProperty];
				contentProperties += "<TR>\n"	
									+ "<TD><label>" + property.getAttribute("name") + "</label></TD>"
									+ "<TD><input readonly type='text' value='" + property.getAttribute("value") + "' size='50'/><TR>"				
									+ "</TR>\n";	
			}
			contentProperties += "</TABLE>\n";	
			setInnerContent('propertiesDiv',contentProperties );
			//document.getElementById().innerHTML=contentProperties;			
		} else 
			setInnerContent('propertiesDiv','');
			//document.getElementById().innerHTML=contentProperties;
		
		if (processInstanceId != "") {
			
			var journalInstances = detail.getElementsByTagName("JOURNAL_INSTANCES_LIST")[0];
			var list = journalInstances.getElementsByTagName("ITEM");

			if(list.length == 0) {
				document.getElementById('journalInstances').style.display='none';
				document.getElementById('journalInstancesMsg').style.display='block';
			} else { 
				document.getElementById('journalInstancesMsg').style.display='none';
				document.getElementById('journalInstances').style.display='block';
			}
			//alert("On Completion 3.3");
			var contentProcessList = '';
			var item;
			for (index=0; index<list.length; index++) {
				item = list[index];
				contentProcessList += '<TR>';			
				contentProcessList += '<TD>' + item.getAttribute("id") + '</TD>';
				contentProcessList += '<TD>' + item.getAttribute("stato") + '</TD>';
				contentProcessList += '<TD>' + item.getAttribute("inizio") + '</TD>';
				contentProcessList += '<TD><a href="#" onclick="loadLogsJournal('+ item.getAttribute("id") +');return false;">XML</a></TD>';							
				if (item.getAttribute("attachment") == 0)
					contentProcessList += '<TD>0</TD>';
				else {
					if (item.getAttribute("link") == 1)
						contentProcessList += '<TD><a href="#" onclick="loadAttachments('+ item.getAttribute("id") +');return false;">' + item.getAttribute("attachment") + '</a></TD>';
					else 
						contentProcessList += item.getAttribute("attachment");
				}
				contentProcessList += '<TD><a href="#" onclick="loadRelevantData('+ item.getAttribute("id") +');return false;"><img src="<%=docBase%>/images/console/detail.png"></a></TD>';	
				contentProcessList += '</TR>';
			}
		
			setInnerContentOnTable('parametersListTable',contentProcessList);
			
			
		}
		
		ajaxObjects[ajaxIndex] = false;
		
		showServiceDetailPanel();
	}
	
	function setInnerContentOnTable(idTable, aContentTable){
		var tableContainer = document.getElementById(idTable);
		if (navigator.appName == 'Microsoft Internet Explorer') {
			var divContent = '';
			divContent += '<TABLE id="parametersTable" width="100%">';
			divContent += '<THEAD>';
			divContent += '<TR>';
			divContent += '<TD>';
			divContent += '<B>Id</B>';
			divContent += '</TD>';
			divContent += '<TD>';
			divContent += '	<B>Stato</B>';
			divContent += '</TD>';
			divContent += '<TD>';
			divContent += '	<B>Inizio</B></TD>';
			divContent += '<TD>';
			divContent += '	<B>Messaggio</B>';
			divContent += '</TD>';
			divContent += '<TD>';
			divContent += '	<B>Allegati</B>';
			divContent += '</TD>';
			divContent += '<TD>';
			divContent += '	<B>Dati</B>';
			divContent += '</TD>';
			divContent += '</TR>';
			divContent += '</THEAD>';
			divContent += '<TBODY id="parametersListTable">';
			divContent += aContentTable;
			divContent += '</TBODY>';
			divContent += '</TABLE>';	

			setInnerContent('journalInstances',divContent);

		}else{
			tableContainer.innerHTML = aContentTable
		}
		

	}
	
	function removeAllChildNodes(node) {
		if (node && node.hasChildNodes && node.removeChild) {
			while (node.hasChildNodes()) {
				node.removeChild(node.firstChild);
			}
		}
	}
	
	function setInnerContent(idContainer, aContent){
		var container = document.getElementById(idContainer);
		if (navigator.appName == 'Microsoft Internet Explorer') {
			removeAllChildNodes(container);
			var newdiv = document.createElement(idContainer+"divInternal");
			newdiv.innerHTML = aContent;
			container.appendChild(newdiv);
		}else{
			container.innerHTML = aContent;
		}
	}
	
	function showInternalDiv(idDiv){
		// Used to show div handlerb by SetInner content
		document.getElementById(idDiv).style.display='block';
		if (navigator.appName == 'Microsoft Internet Explorer') {

			idToShow = idDiv+"divInternal";	
			document.getElementById(idToShow).style.display='block';	
		}
	}
	
	
	function loadLogsJournal(idJournal){
		var ajaxIndex = ajaxObjects.length;	
		var ajaxObject = createAjaxObject();
		ajaxObjects[ajaxIndex] = ajaxObject;
		
		ajaxObjects[ajaxIndex].requestFile = "<%=docBase%>" + "/LogsJournalAction.action?idJournal="+idJournal;
		ajaxObjects[ajaxIndex].onCompletion = function(){showLogsJournal(ajaxIndex)};
		ajaxObjects[ajaxIndex].runAJAX();		
	}

	function showLogsJournal(ajaxIndex){
		
		while(numberMessagesTab>0) {
				deleteTab(false, 0, 'dhtmlgoodies_tabView1');
				numberMessagesTab--;
			}
		document.getElementById('dhtmlgoodies_tabView1').style.display='none';	
		document.getElementById('relevantData').style.display='none';	
		document.getElementById('attachment').style.display='none';		
		
		//visualizzo log journal nei tab
		var responseXML = ajaxObjects[ajaxIndex].responseXML;				
		var logsJournal = responseXML.getElementsByTagName("LIST")[0];	
		var list = logsJournal.getElementsByTagName("ITEM");
		var contentLogsJournal = '';
		var item, log, contentTab;	
		for (index=0; index<list.length; index++) {
			contentTab = "";
			item = list[index];	
			log = unescape(item.getAttribute("log"));
			contentTab += "<textarea name='log' id='log' rows='15' cols='43'";
			if (item.getAttribute("readonlyLog") == "TRUE")
				contentTab += " readonly='yes' ";
			else {
				document.getElementById('saveLog').style.display='block';
				idLog = item.getAttribute("idLog")
			}
			contentTab += ">" + log + "</textarea>";
			createNewTab('dhtmlgoodies_tabView1',item.getAttribute("stato"),contentTab,'',false);			
			numberMessagesTab++;
		}		
									
		ajaxObjects[ajaxIndex] = false;	
		if (list.length > 0) {						
			//unico modo per rendere attivo primo tab (da verificare function showTab)
			//showTab('dhtmlgoodies_tabView1', 1);	
			//showTab('dhtmlgoodies_tabView1', 0);		
			document.getElementById('dhtmlgoodies_tabView1').style.display='block';
		}							
	}
	
	function loadRelevantData(idJournal){
		var ajaxIndex = ajaxObjects.length;	
		var ajaxObject = createAjaxObject();
		ajaxObjects[ajaxIndex] = ajaxObject;
		
		ajaxObjects[ajaxIndex].requestFile = "<%=docBase%>" + "/RelevantDataAction.action?idJournal="+idJournal;
		ajaxObjects[ajaxIndex].onCompletion = function(){showRelevantData(ajaxIndex)};
		ajaxObjects[ajaxIndex].runAJAX();		
	}
	
	
	function showRelevantData(ajaxIndex){	

		document.getElementById('dhtmlgoodies_tabView1').style.display='none';
		document.getElementById('attachment').style.display='none';
		document.getElementById('relevantData').style.display='block';			
		//showInternalDiv('relevantData');
		//visualizzo log journal nei tab
		var responseXML = ajaxObjects[ajaxIndex].responseXML;
		var contentRelevantData = '';				
		var dataList = responseXML.getElementsByTagName("DATA");
		var data;
		var catalog ="";
		if(dataList.length==0)
			contentRelevantData = "<%=MessageBundle.getMessage("noRelevantData", "properties.spagic")%>";	
		else {
			contentRelevantData = '<TABLE>\n'
			for (indexData=0; indexData<dataList.length; indexData++) {					
				data = dataList[indexData];
				if (catalog != data.getAttribute("catalogo")) {		
					contentRelevantData += "<TR><TD colspan=\"2\"><SPAN>" + data.getAttribute("catalogo") + "</SPAN></TD></TR>\n";					
					catalog = data.getAttribute("catalogo")
				}
				contentRelevantData += '<TR>\n';	
				contentRelevantData += "<TD><label>" + data.getAttribute("attributo") + "</label></TD>";
				contentRelevantData += "<TD><input readonly type='text' value='" + data.getAttribute("value") + "' size='30'/><TR>";				
				contentRelevantData += '</TR>\n'	
			}
			contentRelevantData += '</TABLE>\n'
		}
		setInnerContent('relevantData', contentRelevantData);									
		ajaxObjects[ajaxIndex] = false;					
	}
	
	function loadAttachments(idJournal){
		var ajaxIndex = ajaxObjects.length;	
		var ajaxObject = createAjaxObject();
		ajaxObjects[ajaxIndex] = ajaxObject;
		
		ajaxObjects[ajaxIndex].requestFile = "<%=docBase%>" + "/AttachmentsAction.action?idJournal="+idJournal;
		ajaxObjects[ajaxIndex].onCompletion = function(){showAttachments(ajaxIndex)};
		ajaxObjects[ajaxIndex].runAJAX();		
	}
	
	function showAttachments(ajaxIndex){
		//rimuovo tab associati ai messaggi
		while(numberAttachmentsTab>0) {
				deleteTab(false, 0, 'attachment');
				numberAttachmentsTab--;
			}
		document.getElementById('dhtmlgoodies_tabView1').style.display='none';	
		document.getElementById('relevantData').style.display='none';	
		document.getElementById('attachment').style.display='none';		
		
		//visualizzo attachment nei tab
		var responseXML = ajaxObjects[ajaxIndex].responseXML;				
		labelAtt = "<%=MessageBundle.getMessage("attachment", "properties.spagic")%>"
		//ATTACHMENT in input
		var attachmentList = responseXML.getElementsByTagName("ATTACHMENT_IN");	
		if (attachmentList.length > 0) {
			var attachmentIn = attachmentList[0];
			contentTab = "";
			numberAttachment = attachmentIn.getAttribute("number");
			for(indexAttachment= 0; indexAttachment<numberAttachment; indexAttachment++) 
				contentTab += '<a href="#" onclick="openAttachment('+ indexAttachment +','+ attachmentIn.getAttribute("idJournal") + ',\'in\');return false;">' + labelAtt + ' ' + (indexAttachment + 1) + '</a></br>';
			var stato = "<%=MessageBundle.getMessage("0", "properties.console.console")%>";
			createNewTab('attachment',stato,contentTab,'',false);
			numberAttachmentsTab++;
		}
		//ATTACHMENT in output
		attachmentList = responseXML.getElementsByTagName("ATTACHMENT_OUT");	
		if (attachmentList.length > 0) {
			var attachmentOut = attachmentList[0];
			contentTab = "";
			numberAttachment = attachmentOut.getAttribute("number");
			for(indexAttachment= 0; indexAttachment<numberAttachment; indexAttachment++) 
				contentTab += '<a href="#" onclick="openAttachment('+ indexAttachment +','+ attachmentOut.getAttribute("idJournal") + ',\'out\');return false;">' + labelAtt + ' ' + (indexAttachment + 1) + '</a></br>';
			var stato = "<%=MessageBundle.getMessage("4", "properties.console.console")%>";
			createNewTab('attachment',stato,contentTab,'',false);
			numberAttachmentsTab++;
		}
									
		ajaxObjects[ajaxIndex] = false;	
		document.getElementById('attachment').style.display='block';
	}
	
	function openAttachment(indexAttachment, idJournal, direction) {
		url = 'OpenAttachment.action?indexAttachment=' + indexAttachment + '&idJournal=' + idJournal + '&direction=' + direction;
		window.location = url;
	}
	
	function saveTemporaryLog() {
		var ajaxIndex = ajaxObjects.length;	
		var ajaxObject = createAjaxObject();
		ajaxObjects[ajaxIndex] = ajaxObject;
		url = "<%=docBase%>" + "/SaveTemporaryLogAction.action?processInstanceId=" + "<%=processInstanceId%>" + "&idLog=" + idLog + "&log=" + document.getElementById("log").value;
		ajaxObjects[ajaxIndex].requestFile = url;
		ajaxObjects[ajaxIndex].onCompletion = function(){alert("Saved"); ajaxObjects[ajaxIndex] = false;};
		ajaxObjects[ajaxIndex].runAJAX();		
	}
	
	function restartSingle() {
		url = "<%=docBase%>" + "/RestartSingleInstanceAction.action?processInstanceId=" + "<%=processInstanceId%>" + "&processId=" + "<%=processId%>" + "&advancedSearch=" + "<%=advancedSearch%>";
		window.location = url;
	}
			
	function clearFields(){
		document.getElementById("nome").value="";
		document.getElementById("descrizione").value="";
		document.getElementById("namespace").value="";				
	}
	
	function reload() {
		url = "<%=docBase%>" + "/ProcessGraphAction.action?processInstanceId=" + "<%=processInstanceId%>" + "&processId=" + "<%=processId%>" + "&advancedSearch=" + "<%=advancedSearch%>";
		window.location = url;
	}
	
	function showLinkedInstance(linkedInstanceId, processId) {
		url = "<%=docBase%>" + "/ProcessGraphAction.action?processInstanceId=" + linkedInstanceId + "&processId=" + processId + "&advancedSearch=" + "<%=advancedSearch%>";
		window.location = url;
	}
	/*
	function ZoomOut(){
		scale = scale - 0.1;
   		var transformValue = "scale(" + scale + ")";  
   		var SVGDocument = document.embeds[0].getSVGDocument();		
   		SVGDocument.getElementById("graph0").setAttribute("transform", transformValue); 		
	}
	function ZoomIn(){
		scale = scale + 0.1;
   		var transformValue = "scale(" + scale + ")";  
   		var SVGDocument = document.embeds[0].getSVGDocument();		
   		SVGDocument.getElementById("graph0").setAttribute("transform", transformValue);	
	}*/	
</script>

	<div id="background"> 
    <div id="backgroundlogo">  
    	<div id="header">
	    	<div id="logotitle">
	    	</div> 
	    	<div id="menubar"> 
	        <console:baseMenu/>
	        <div id="title">
	        	<%if (processInstanceId!=null){ %>
				<console:label id="instance"/> <%=processInstanceId%> <console:label id="of"/>
				<%}%>
				<console:label id="process"/> <%=processName%>	
	        </div>
	        <%if (processInstanceId!=null){ 
	        	if(state == ProcessInstanceStateConstants.PROCESS_FAULTED 
	        			&& processType.equalsIgnoreCase(Constants.JBI_PROCESS)){%>
	        	<console:restartSingleMenu position="-2"/>
	        	<console:reloadMenu position="-3"/>
	        <%	}else {%>
	        	<console:reloadMenu position="-2"/>
	        <%	}
	        }%>
	        <console:backMenu position="-1"/>
	        <console:logoutMenu/>
			</div>
		</div>

		<div id="mainContainer">
		<div id="graphContainer">
			<br/> 
			<div id="graph">
			<%
			String svgPath = "SvgGraphAction.action?processId=" + processId;
			if (processInstanceId != null)
				svgPath += "&processInstanceId=" +processInstanceId;
			%>
			<div id="svg"> 
				<embed name="svg0"
				      type="image/svg+xml"	
				      width="650" height="450"		   
				      src="<%=svgPath%>"> 
				</embed>
			</div>
			<div id="processRelevantData">		
				<table>
				<%
				if (relevantDataBean!= null) {
					List dataList =relevantDataBean.getAttributeAsList("DATA");
					SourceBean data;
					String catalog ="";	
					int indexData;
					for (indexData=0; indexData<dataList.size(); indexData++) {	
						data = (SourceBean)dataList.get(indexData);
						if (!catalog.equalsIgnoreCase((String)data.getAttribute("catalogo"))) {	
							catalog = (String)data.getAttribute("catalogo");
				%>
						<tr><td colspan="2"><span><%=data.getAttribute("catalogo")%></span></td></tr>					
				<%		
						}
				%>
				<tr>
					<td><label><%=data.getAttribute("attributo")%></label></td>
					<td><input readonly type='text' value="<%=data.getAttribute("value")%>" size='30'/><td>				
				</tr>
				<% 
					}
				}
				%>
				</table>	
			</div>	
			</div>		
			<div id="serviceDetail">
				<div id="serviceDetailWindow">
					<div class="floatingWindowContent">
							<div id="propertiesStaticDiv">
							<table>		
							<tr>
								<td><label for="namespace"><console:label id="namespace"/></label></td>
								<td><input type='text' name="namespace" id="namespace" value="" size="50"/></td>
							</tr>
							<tr>
								<td><label for="nome"><console:label id="name"/></label></td>
								<td><input type='text' name="nome" id="nome" value="" size="50"/></td>
							</tr>
							<tr>
								<td><label for="descrizione"><console:label id="description"/></label></td>
								<td><input type='text' name="descrizione" id="descrizione" value="" size="50"/></td>
							</tr>
							</table>
							</div>
							<div id="propertiesDiv">
							</div>
					</div>
					<%if (processInstanceId!=null){ %>
					<div class="floatingWindowContent">	
						<div id="journalInstancesMsg">
						<console:label id="noTransiction"/>
						</div>			
						<div id="journalInstances">
						<table width="100%" id="parametersTable">
							<thead>
								<tr>
									<td><b><console:label id="id"/></b></td>
									<td><b><console:label id="state"/></b></td>
									<td><b><console:label id="startMessage"/></b></td>
									<td><b><console:label id="message"/></b></td>
									<td><b><console:label id="attachments"/></b></td>
									<td><b><console:label id="data"/></b></td>				
								</tr>
							</thead>
							<tbody id="parametersListTable">						
							</tbody>
						</table>
						</div>
						<br/>				
						<div id="dhtmlgoodies_tabView1">
							<a id="saveLog" style="float:right" href="#" onclick="saveTemporaryLog()"><input type='image' src='<%=docBase%>/images/console/save.png' name='save' title='<console:label id="save"/>'/></a>
							<div class="dhtmlgoodies_aTab">testo tab</div>
						</div>	
						<div id="relevantData">					
						</div>	
						<div id="attachment">
							<div class="dhtmlgoodies_aTab">testo tab</div>					
						</div>					
					</div>			
					<%}%>
				</div>
			</div>
		</div><!-- end maincontainer -->
	</div>
	</div>
</body>
</html>
