package it.eng.console.process.action;

import it.eng.console.process.bo.ProcessBO;
import it.eng.spago.base.SourceBean;
import it.eng.spago.dispatching.action.AbstractAction;

public class ChangeStatusMonitoringAction extends AbstractAction {

	public void service(SourceBean serviceRequest, SourceBean serviceResponse)
			throws Exception {
		String processIdFromRequest = (String)serviceRequest.getAttribute("processId");
		long processId = Long.parseLong(processIdFromRequest);
		
		boolean isEnabled = ProcessBO.changeMonitoringStatus(processId);
		serviceResponse.setAttribute("isEnabled", isEnabled);
	}

}
