<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"
	language="java"
	extends="it.eng.spago.dispatching.httpchannel.AbstractHttpJspPage"
	import="java.util.List, it.eng.spago.base.SourceBean, it.eng.console.util.Constants,it.eng.spago.message.MessageBundle"
	session="true"
	errorPage="/jsp/spago/jspError.jsp"
%>
<%@ taglib uri="spagotags" prefix="spago"%>
<%@ taglib uri="consoletags" prefix="console"%>
<html xmlns="http://www.w3.org/1999/xhtml">
<%@include file="listBase.jsp"%>
<body onload="init();return false;">
<spago:error/>
<script>
	var ajaxObjects = new Array();	
	var numberMessagesTab = 0;
	
	function init(){				
		initTableWidget('myTable',550,450,Array(false,false,false,false,false,false));
		initTabs('dhtmlgoodies_tabView1',Array('Temp'),0,400,330,Array(false));
		numberMessagesTab++;
		document.getElementById('dhtmlgoodies_tabView1').style.display='none';	
		checkError();
	}
	
	function navigateMessageList(page){
		var url = "<%=docBase%>" + "/MessagesListPage.page?PAGE_CMD=" + page;
		window.location = url;
	}
	
	function back() {
		url = "<%=docBase%>" + "/MessagesSearchAction.action";
		window.location = url;
	}
	
	function restartMessages() {
		window.location="<%=docBase%>/MessagesListPage.page?restartMsg=TRUE";
	}
	
	function loadLogsJournal(idJournal){
		document.getElementById('dhtmlgoodies_tabView1').style.display='none';	
		var ajaxIndex = ajaxObjects.length;	
		ajaxObjects[ajaxIndex] = new sack();
		ajaxObjects[ajaxIndex].requestFile = "<%=docBase%>" + "/LogsJournalAction.action?idJournal="+idJournal;
		ajaxObjects[ajaxIndex].onCompletion = function(){showLogsJournal(ajaxIndex)};
		ajaxObjects[ajaxIndex].runAJAX();		
	}
	
	function showLogsJournal(ajaxIndex){
		//rimuovo tab associati ai messaggi
		while(numberMessagesTab>0) {
				deleteTab(false, 0, 'dhtmlgoodies_tabView1');
				numberMessagesTab--;
		}
		
		//visualizzo log journal nei tab
		var responseXML = ajaxObjects[ajaxIndex].responseXML;				
		var logsJournal = responseXML.getElementsByTagName("LIST")[0];	
		var list = logsJournal.getElementsByTagName("ITEM");
		var contentLogsJournal = '';
		var item, log, contentTab;	
		for (index=0; index<list.length; index++) {
			contentTab = "";
			item = list[index];	
			log = unescape(item.getAttribute("log"));
			contentTab += "<textarea name='log' id='log' rows='18' cols='43' readonly='yes'";
			contentTab += ">" + log + "</textarea>";
			createNewTab('dhtmlgoodies_tabView1',item.getAttribute("stato"),contentTab,'',false);			
			numberMessagesTab++;
		}		
									
		ajaxObjects[ajaxIndex] = false;	
		if (list.length > 0) {						
			//unico modo per rendere attivo primo tab (da verificare function showTab)
			showTab('dhtmlgoodies_tabView1', 1);	
			showTab('dhtmlgoodies_tabView1', 0);		
			document.getElementById('dhtmlgoodies_tabView1').style.display='block';
		}							
	}
</script>
<%			
	SourceBean serviceResponse = getResponseContainer(request).getServiceResponse();
	List messagesList = serviceResponse.getAttributeAsList("MESSAGESLISTMODULE.LIST");
%>
	<div id="background"> 
    <div id="backgroundlogo">  
    	<div id="header">
	    	<div id="logotitle">
	    	</div> 
	    	<div id="menubar"> 
	        <console:baseMenu/>
	        <div id="title">
	        	<console:label id="messagesList"/>
	        </div>
	        <console:restartMessagesMenu position="-2"/>
	        <console:backMenu position="-1"/>
	        <console:logoutMenu/>
			</div>
		</div>

	<div id="mainContainer">
	<div id=processContainer>
		<div id="messagesList">
		<a href="#" onclick="navigateMessageList('<%=Constants.FIRST_PAGE%>');return false;"><input type='image' src='<%=docBase%>/images/console/navigation/control_rewind_blue.png' name='back' title='<console:label id="firstPage"/>' /></a>
		<a href="#" onclick="navigateMessageList('<%=Constants.PREV_PAGE%>');return false;"><input type='image' src='<%=docBase%>/images/console/navigation/control_back_blue.png' name='back' title='<console:label id="previousPage"/>' /></a>
		<% if (messagesList.size()==Constants.sizeMessagesList) {%>
			<a id="nextPage" href="#" onclick="navigateMessageList('<%=Constants.NEXT_PAGE%>');return false;"><input type='image' src='<%=docBase%>/images/console/navigation/control_play_blue.png' name='back' title='<console:label id="nextPage"/>' /></a>
		<%} %>	
		<div class="widget_tableDiv">
		<table id="myTable">
			<thead>
				<tr>
					<td><console:label id="id"/></td>
					<td><console:label id="instance"/></td>
					<td><console:label id="state"/></td>
					<td><console:label id="startMessage"/></td>
					<td><console:label id="endMessage"/></td>
					<td><console:label id="message"/></td>
				</tr>
			</thead>
			<tbody id="processListTable" class="scrollingContent">
			<console:messagesList/>
			</tbody>
		</table>
		</div>
		</div>
		<div id="dhtmlgoodies_tabView1" style="float:right">
			<div class="dhtmlgoodies_aTab">testo tab</div>
		</div>	
		
	</div><!-- End processContainer -->
	</div>
</div>
</div>
</body>
</html>