<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page contentType="text/html;charset=UTF-8" 
	pageEncoding="ISO-8859-1"
	language="java"
	extends="it.eng.spago.dispatching.httpchannel.AbstractHttpJspPage"
	import="it.eng.spago.base.SourceBean, java.util.List, 
			java.util.Iterator, org.spagic.metadb.model.Process, 
			it.eng.console.util.Constants, it.eng.spago.message.MessageBundle"
	session="true"
	errorPage="/jsp/spago/jspError.jsp"%>
<%@ taglib uri="spagotags" prefix="spago"%>
<%@ taglib uri="consoletags" prefix="console"%>
<html xmlns="http://www.w3.org/1999/xhtml">
<%@include file="docBase.jsp"%>
<head>
<title>Spagic Console</title>
<link rel="stylesheet" href='<%=docBase%>/css/console/console.css' type="text/css"/>
<link rel="stylesheet" href='<%=docBase%>/css/console/dhtmlgoodies_calendar.css' type="text/css"/>
<console:languageCodeCalendar/>
<script type="text/javascript" src='<%=docBase%>/js/console/ajax.js'></script>
<script type="text/javascript" src='<%=docBase%>/js/console/dhtmlgoodies_calendar.js'></script>
</head>
<body onload="init();return false;">
<spago:error/>
<script>
	var ajaxObjects = new Array();	
	function init() {				
		checkError();
	}
	function loadMessagesList(){
		if(document.getElementById("processId").value == "<%=Constants.ALL_PROCESS%>") {
			alert("<%=MessageBundle.getMessage("10002", "properties.console.messages")%>");
			return;
		}
		
		var url = "<%=docBase%>" + "/MessagesListPage.page?"
		var requestParameters = '';
		var inputElements = document.getElementsByTagName("INPUT"); 
		var selectElements = document.getElementsByTagName("SELECT"); 
		var input;
		if(inputElements!=null) {
			for (index=0; index<inputElements.length; index++) {
				input = inputElements[index];
				if(input.getAttribute("type") != "button") 
					requestParameters += input.getAttribute("id") + "=" + document.getElementById(input.getAttribute("id")).value + "&";
			}
		}
		if(selectElements!=null) {
			for (index=0; index<selectElements.length; index++) {
				input = selectElements[index];
				requestParameters += input.getAttribute("id") + "=" + document.getElementById(input.getAttribute("id")).value + "&";
			}
		}
		window.location = url + requestParameters + "&savePaginationInfo=TRUE";
	}
	function loadRelevantDataAndComponents(url) {
		var ajaxIndex = ajaxObjects.length;	
		ajaxObjects[ajaxIndex] = new sack();			
		ajaxObjects[ajaxIndex].requestFile = url;
		ajaxObjects[ajaxIndex].onCompletion = function(){showRelevantDataAndComponents(ajaxIndex)};
		ajaxObjects[ajaxIndex].runAJAX();		
	}
	function showRelevantDataAndComponents(ajaxIndex) {
		//reload attribute related to process
		var responseXML = ajaxObjects[ajaxIndex].responseXML;
		var contentAttribute = '';
		var attributeList;
		
		if(responseXML.getElementsByTagName("PROCESS_ATTRIBUTE").length > 0)
			attributeList = responseXML.getElementsByTagName("PROCESS_ATTRIBUTE");
		if(attributeList != null && attributeList.length>0){
			var attribute;
			var prefix = "<%=Constants.PREFIX_PROCESS_ATTRIBUTE%>";
			contentAttribute = "<TABLE>";
			for (index=0; index<attributeList.length; index++) {
				attribute = attributeList[index];
				contentAttribute += '<TR>';	
				contentAttribute += '<TD><LABEL>' + attribute.getAttribute("name") + '</LABEL></TD>';
				contentAttribute += '<TD><INPUT type="text" id="' + prefix + attribute.getAttribute("idAttribute") + '" name="' + prefix + attribute.getAttribute("idAttribute") + '" value="' + attribute.getAttribute("valore") + '" size="16"/></TD>';
				contentAttribute += '</TR>\n';
			}
			contentAttribute += '</TABLE>';
		}	
		document.getElementById('inputFieldsRelevantDataProcess').innerHTML=contentAttribute;	
		
		//reload components
		var contentComponents = '';
		var labelComponent = '';
		var componentList;
		
		if(responseXML.getElementsByTagName("COMPONENT").length > 0)
			componentList = responseXML.getElementsByTagName("COMPONENT");
		if(componentList != null && componentList.length>0){
			labelComponent = '<TD><LABEL>Componenti</LABEL></TD>';
			var component;
			contentComponents += '<SELECT name="idComponent" id="idComponent">';
			for (index=0; index<componentList.length; index++) {
				component = componentList[index];
				contentComponents += '<OPTION value="' + component.getAttribute("<%=Constants.LBL_ID_COMPONENT%>") + '">' + component.getAttribute("<%=Constants.LBL_NAME%>") + '</OPTION>';	
			}
			contentComponents += '</SELECT>';
		}
		document.getElementById('labelComponent').innerHTML=labelComponent;	
		document.getElementById('comboComponent').innerHTML=contentComponents;	
	}
</script>
	<div id="background"> 
    <div id="backgroundlogo">  
    	<div id="header">
	    	<div id="logotitle">
	    	</div> 
	    	<div id="menubar"> 
	        <console:baseMenu/>
	        <div id="title">
	        	<console:label id="messagesSearch"/>
	        </div>
	        <console:logoutMenu/>
			</div>
		</div>

		<div id="mainContainer">
			<div id="processInstanceSearch">
				<table>
					<tr>
					<td><label for="processId"><console:label id="process"/></label></td>
					<td><select name="processId" id="processId" onchange="loadRelevantDataAndComponents('<%=docBase%>/RelevantDataProcessAndComponentsNotPublisherAction.action?<%=Constants.LBL_PROCESS_ID%>=' + this.value)">
						<option value="<%=Constants.ALL_PROCESS%>"></option>
						<%  
							SourceBean serviceResponse = getResponseContainer(request).getServiceResponse();
							List processList = (List)serviceResponse.getAttribute("processo");	
							Iterator processListIt = processList.iterator();
							Process process;
							while(processListIt.hasNext()) {
								process = (Process)processListIt.next();				
						%>
							<option value="<%=process.getIdProcess()%>"><%=process.getName()%></option>	
						<%
							}
						%>
						</select>
					</td>
					<td id="labelComponent"></td>
					<td id="comboComponent"></td>
					</tr>
				</table>
			 	<div id="inputFieldsRelevantDataProcess">
			 	</div>
			 	<br/>
				<table>
				<tr>
					<td><label for="dataInizio"><console:label id="start"/></label></td>
					<td><input readonly type='text' name="dataInizio" id="dataInizio" value="" size="18"/> <a href="#" onclick="displayCalendar(document.getElementById('dataInizio'),formatData,this,true)"><img src="<%=docBase%>/images/console/date.png"/></a></td>
					<td><label for="dataFine"><console:label id="end"/></label></td>
					<td><input readonly type='text' name="dataFine" id="dataFine" value="" size="18"/> <a href="#" onclick="displayCalendar(document.getElementById('dataFine'),formatData,this,true)"><img src="<%=docBase%>/images/console/date.png"/></a></td>
				</tr>
				<tr>
					<td><label for="stato"><console:label id="state"/></label></td>
					<td><select name="stato" id="stato">
							<option value=""></option>
							<%
							List processStateList = (List)serviceResponse.getAttribute("statoprocesso");	
							Iterator processStateListIt = processStateList.iterator();	
							String state;
							while(processStateListIt.hasNext()) {
								state = ((Integer)processStateListIt.next()).toString();				
							%>
							<option value="<%=state%>"><spago:message bundle="properties.console.processState" code="<%=state%>"/></option>	
							<%
							}
							%>
						</select>
					</td>
					<td><label for="ordinaPer"><console:label id="orderBy"/></label></td>
					<td><select name="ordinaPer" id="ordinaPer">			
							<option value="DATA"><console:label id="date"/></option>			
						</select>
						<select name="ordina" id="ordina">			
							<option value="ASC">ASC</option>			
							<option value="DESC" selected>DESC</option>									
						</select>
					</td>					
				</tr>	
				</table>
				<br/>
				<input type="button" value="<console:label id="search"/>" onclick="loadMessagesList();"/>
			</div>
		</div> 
	</div>
	</div>		
</body>
</html>
